<?php
$tdatapers_contactodep = array();
$tdatapers_contactodep[".searchableFields"] = array();
$tdatapers_contactodep[".ShortName"] = "pers_contactodep";
$tdatapers_contactodep[".OwnerID"] = "";
$tdatapers_contactodep[".OriginalTable"] = "pers_contactodep";


$tdatapers_contactodep[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list1\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatapers_contactodep[".originalPagesByType"] = $tdatapers_contactodep[".pagesByType"];
$tdatapers_contactodep[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list1\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatapers_contactodep[".originalPages"] = $tdatapers_contactodep[".pages"];
$tdatapers_contactodep[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatapers_contactodep[".originalDefaultPages"] = $tdatapers_contactodep[".defaultPages"];

//	field labels
$fieldLabelspers_contactodep = array();
$fieldToolTipspers_contactodep = array();
$pageTitlespers_contactodep = array();
$placeHolderspers_contactodep = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelspers_contactodep["Spanish"] = array();
	$fieldToolTipspers_contactodep["Spanish"] = array();
	$placeHolderspers_contactodep["Spanish"] = array();
	$pageTitlespers_contactodep["Spanish"] = array();
	$fieldLabelspers_contactodep["Spanish"]["id"] = "Id";
	$fieldToolTipspers_contactodep["Spanish"]["id"] = "";
	$placeHolderspers_contactodep["Spanish"]["id"] = "";
	$fieldLabelspers_contactodep["Spanish"]["id_persona"] = "Persona";
	$fieldToolTipspers_contactodep["Spanish"]["id_persona"] = "";
	$placeHolderspers_contactodep["Spanish"]["id_persona"] = "";
	$fieldLabelspers_contactodep["Spanish"]["id_oficina"] = "Oficina";
	$fieldToolTipspers_contactodep["Spanish"]["id_oficina"] = "";
	$placeHolderspers_contactodep["Spanish"]["id_oficina"] = "";
	if (count($fieldToolTipspers_contactodep["Spanish"]))
		$tdatapers_contactodep[".isUseToolTips"] = true;
}


	$tdatapers_contactodep[".NCSearch"] = true;



$tdatapers_contactodep[".shortTableName"] = "pers_contactodep";
$tdatapers_contactodep[".nSecOptions"] = 0;

$tdatapers_contactodep[".mainTableOwnerID"] = "";
$tdatapers_contactodep[".entityType"] = 0;
$tdatapers_contactodep[".connId"] = "omega2_at_localhost";


$tdatapers_contactodep[".strOriginalTableName"] = "pers_contactodep";

	



$tdatapers_contactodep[".showAddInPopup"] = false;

$tdatapers_contactodep[".showEditInPopup"] = false;

$tdatapers_contactodep[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatapers_contactodep[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatapers_contactodep[".listAjax"] = false;
//	temporary
$tdatapers_contactodep[".listAjax"] = false;

	$tdatapers_contactodep[".audit"] = false;

	$tdatapers_contactodep[".locking"] = false;


$pages = $tdatapers_contactodep[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapers_contactodep[".edit"] = true;
	$tdatapers_contactodep[".afterEditAction"] = 0;
	$tdatapers_contactodep[".closePopupAfterEdit"] = 1;
	$tdatapers_contactodep[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapers_contactodep[".add"] = true;
$tdatapers_contactodep[".afterAddAction"] = 1;
$tdatapers_contactodep[".closePopupAfterAdd"] = 1;
$tdatapers_contactodep[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapers_contactodep[".list"] = true;
}



$tdatapers_contactodep[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapers_contactodep[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapers_contactodep[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapers_contactodep[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapers_contactodep[".printFriendly"] = true;
}



$tdatapers_contactodep[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapers_contactodep[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapers_contactodep[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapers_contactodep[".isUseAjaxSuggest"] = true;

$tdatapers_contactodep[".rowHighlite"] = true;





$tdatapers_contactodep[".ajaxCodeSnippetAdded"] = false;

$tdatapers_contactodep[".buttonsAdded"] = false;

$tdatapers_contactodep[".addPageEvents"] = false;

// use timepicker for search panel
$tdatapers_contactodep[".isUseTimeForSearch"] = false;


$tdatapers_contactodep[".badgeColor"] = "2f4f4f";


$tdatapers_contactodep[".allSearchFields"] = array();
$tdatapers_contactodep[".filterFields"] = array();
$tdatapers_contactodep[".requiredSearchFields"] = array();

$tdatapers_contactodep[".googleLikeFields"] = array();
$tdatapers_contactodep[".googleLikeFields"][] = "id";
$tdatapers_contactodep[".googleLikeFields"][] = "id_persona";
$tdatapers_contactodep[".googleLikeFields"][] = "id_oficina";



$tdatapers_contactodep[".tableType"] = "list";

$tdatapers_contactodep[".printerPageOrientation"] = 1;
$tdatapers_contactodep[".nPrinterPageScale"] = 100;

$tdatapers_contactodep[".nPrinterSplitRecords"] = 40;

$tdatapers_contactodep[".geocodingEnabled"] = false;










$tdatapers_contactodep[".pageSize"] = 20;

$tdatapers_contactodep[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatapers_contactodep[".strOrderBy"] = $tstrOrderBy;

$tdatapers_contactodep[".orderindexes"] = array();


$tdatapers_contactodep[".sqlHead"] = "SELECT id,  	id_persona,  	id_oficina";
$tdatapers_contactodep[".sqlFrom"] = "FROM pers_contactodep";
$tdatapers_contactodep[".sqlWhereExpr"] = "";
$tdatapers_contactodep[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapers_contactodep[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapers_contactodep[".arrGroupsPerPage"] = $arrGPP;

$tdatapers_contactodep[".highlightSearchResults"] = true;

$tableKeyspers_contactodep = array();
$tableKeyspers_contactodep[] = "id";
$tdatapers_contactodep[".Keys"] = $tableKeyspers_contactodep;


$tdatapers_contactodep[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "pers_contactodep";
	$fdata["Label"] = GetFieldLabel("pers_contactodep","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapers_contactodep["id"] = $fdata;
		$tdatapers_contactodep[".searchableFields"][] = "id";
//	id_persona
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "id_persona";
	$fdata["GoodName"] = "id_persona";
	$fdata["ownerTable"] = "pers_contactodep";
	$fdata["Label"] = GetFieldLabel("pers_contactodep","id_persona");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "id_persona";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_persona";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "persona";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nombre";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapers_contactodep["id_persona"] = $fdata;
		$tdatapers_contactodep[".searchableFields"][] = "id_persona";
//	id_oficina
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "id_oficina";
	$fdata["GoodName"] = "id_oficina";
	$fdata["ownerTable"] = "pers_contactodep";
	$fdata["Label"] = GetFieldLabel("pers_contactodep","id_oficina");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "id_oficina";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_oficina";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "cat_oficinas";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "dependencia_oficina";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapers_contactodep["id_oficina"] = $fdata;
		$tdatapers_contactodep[".searchableFields"][] = "id_oficina";


$tables_data["pers_contactodep"]=&$tdatapers_contactodep;
$field_labels["pers_contactodep"] = &$fieldLabelspers_contactodep;
$fieldToolTips["pers_contactodep"] = &$fieldToolTipspers_contactodep;
$placeHolders["pers_contactodep"] = &$placeHolderspers_contactodep;
$page_titles["pers_contactodep"] = &$pageTitlespers_contactodep;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["pers_contactodep"] = array();
//	cat_oficinas
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="cat_oficinas";
		$detailsParam["dOriginalTable"] = "cat_oficinas";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "cat_oficinas";
	$detailsParam["dCaptionTable"] = GetTableCaption("cat_oficinas");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["pers_contactodep"][$dIndex] = $detailsParam;

	
		$detailsTablesData["pers_contactodep"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["pers_contactodep"][$dIndex]["masterKeys"][]="id_oficina";

				$detailsTablesData["pers_contactodep"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["pers_contactodep"][$dIndex]["detailKeys"][]="id";

// tables which are master tables for current table (detail)
$masterTablesData["pers_contactodep"] = array();



	
				$strOriginalDetailsTable="persona";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="persona";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "persona";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["pers_contactodep"][0] = $masterParams;
				$masterTablesData["pers_contactodep"][0]["masterKeys"] = array();
	$masterTablesData["pers_contactodep"][0]["masterKeys"][]="id";
				$masterTablesData["pers_contactodep"][0]["detailKeys"] = array();
	$masterTablesData["pers_contactodep"][0]["detailKeys"][]="id_persona";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_pers_contactodep()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	id_persona,  	id_oficina";
$proto0["m_strFrom"] = "FROM pers_contactodep";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "pers_contactodep",
	"m_srcTableName" => "pers_contactodep"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "pers_contactodep";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "id_persona",
	"m_strTable" => "pers_contactodep",
	"m_srcTableName" => "pers_contactodep"
));

$proto8["m_sql"] = "id_persona";
$proto8["m_srcTableName"] = "pers_contactodep";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "id_oficina",
	"m_strTable" => "pers_contactodep",
	"m_srcTableName" => "pers_contactodep"
));

$proto10["m_sql"] = "id_oficina";
$proto10["m_srcTableName"] = "pers_contactodep";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "pers_contactodep";
$proto13["m_srcTableName"] = "pers_contactodep";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "id";
$proto13["m_columns"][] = "id_persona";
$proto13["m_columns"][] = "id_oficina";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "pers_contactodep";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "pers_contactodep";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="pers_contactodep";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_pers_contactodep = createSqlQuery_pers_contactodep();


	
		;

			

$tdatapers_contactodep[".sqlquery"] = $queryData_pers_contactodep;



$tableEvents["pers_contactodep"] = new eventsBase;
$tdatapers_contactodep[".hasEvents"] = false;

?>